当前位置: 安卓之星 -> Java开发 -> eclipse中maven项目默认jdk版本

eclipse中maven项目默认jdk版本

作者:网络 发表于: 2017-02-20 点击: 526 次

使用eclipse创建maven项目时,默认jdk版本为1.5,每次手动改为需要的jdk版本,例如1.8,在执行maven-update project后,手动设置的jdk版本又切换为默认jdk1.5,很是头疼。 
解决办法:修改maven安装目录下conf中settings.xml

<profile>  
    <id>jdk-1.7</id>  
    <activation>  
          <activeByDefault>true</activeByDefault>  
          <jdk>1.7</jdk>  
    </activation>  
    <properties>  
        <maven.compiler.source>1.7</maven.compiler.source>  
        <maven.compiler.target>1.7</maven.compiler.target>  
        <maven.compiler.compilerVersion>1.7</maven.compiler.compilerVersion>  
    </properties>  
</profile> 

最后在eclipse中执行maven》Update Project,JDK版本会变为指定的版本

相关文章

相关文章

赶快留言冒泡

  • 评论 (0)
  • 引用通告 (0)
目前还没有任何评论.
目前还没有任何Trackbacks和Pingbacks.
吐个泡浮上去.